at.chipkarte.client.elgaad.soap

## Class Arzneimittel

- Object
- - at.chipkarte.client.elgaad.soap.Arzneimittel

-     public class Arzneimittel
      extends Object

  Daten eines Arzneimittels (im Gegensatz zu einer Magistralen Zubereitung, siehe `MagistraleZubereitung`).
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob das Arzneimittel zwecks "Erfassung" oder "Änderung" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Arzneimittel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHandelsname()` Handelsname.
    `String` | `getPackungseinheit()` Packungseinheit (aus Terminologieserver-ValueSet ELGA_MedikationMengenart_VS bzw.
    `String` | `getPackungsgroesse()` Packungsgröße.
    `String` | `getPzn()` Pharmazentralnummer.
    `Boolean` | `getWechselwirkungsrelevant()` Gibt an, ob das Arzneimittel wechselwirkungsrelevant ist.
    `String` | `getZulassungsname()` Zulassungsname.
    `String` | `getZulassungsnummer()` Zulassungsnummer.
    `void` | `setHandelsname(String handelsname)`
    `void` | `setPackungseinheit(String packungseinheit)`
    `void` | `setPackungsgroesse(String packungsgroesse)`
    `void` | `setPzn(String pzn)`
    `void` | `setWechselwirkungsrelevant(Boolean wechselwirkungsrelevant)`
    `void` | `setZulassungsname(String zulassungsname)`
    `void` | `setZulassungsnummer(String zulassungsnummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Arzneimittel

          public Arzneimittel()

  - ### Method Detail

    - #### getHandelsname

          public String getHandelsname()

      Handelsname.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Muss.
      Format: max. 255 stellig (alphanumerisch).
      Returns:
        Handelsname.

    - #### getZulassungsname

          public String getZulassungsname()

      Zulassungsname.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Muss.
      Format: max. 255 stellig (alphanumerisch).
      Returns:
        Zulassungsname.

    - #### getPzn

          public String getPzn()

      Pharmazentralnummer.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Ausgabebedingung: Muss.
      Format: in der Regel 8 stellig (alphanumerisch). Bei Arzneimittel für Impfungen kann die PZN auch mehr Stellen besitzen (z.B. bei Auslandsimpfungen).
      Returns:
        Pzn.

    - #### getZulassungsnummer

          public String getZulassungsnummer()

      Zulassungsnummer.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Muss.
      Format: max. 255 stellig (alphanumerisch).
      Returns:
        Zulassungsnummer.

    - #### getPackungsgroesse

          public String getPackungsgroesse()

      Packungsgröße.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        Packungsgröße.

    - #### getPackungseinheit

          public String getPackungseinheit()

      Packungseinheit (aus Terminologieserver-ValueSet ELGA_MedikationMengenart_VS bzw. Freitext).
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        Packungseinheit.

    - #### getWechselwirkungsrelevant

          public Boolean getWechselwirkungsrelevant()

      Gibt an, ob das Arzneimittel wechselwirkungsrelevant ist.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Muss.
      Returns:
        wechselwirkungsrelevant.

    - #### setHandelsname

          public void setHandelsname(String handelsname)

    - #### setZulassungsname

          public void setZulassungsname(String zulassungsname)

    - #### setPzn

          public void setPzn(String pzn)

    - #### setZulassungsnummer

          public void setZulassungsnummer(String zulassungsnummer)

    - #### setPackungsgroesse

          public void setPackungsgroesse(String packungsgroesse)

    - #### setPackungseinheit

          public void setPackungseinheit(String packungseinheit)

    - #### setWechselwirkungsrelevant

          public void setWechselwirkungsrelevant(Boolean wechselwirkungsrelevant)